﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using EF_CodeFirst_Delete_Razor_Core.Models;

namespace EF_CodeFirst_Delete_Razor_Core.Pages
{
    public class IndexModel : PageModel
    {
        public Customers Customer { get; set; }

        public void OnGet()
        {           
        }

        public void OnPostSubmit(Customers customer)
        {
            using (CodeFirstContext context = new CodeFirstContext())
            {
                Customers deletedCustomer = (from c in context.Customers
                                             where c.CustomerId == customer.CustomerId
                                             select c).FirstOrDefault();

                if (deletedCustomer != null)
                {
                    context.Customers.Remove(deletedCustomer);
                    context.SaveChanges();
                    ViewData["Message"] = "Customer record deleted.";
                }
                else
                {
                    ViewData["Message"] = "Customer not found.";
                }
            }
        }
    }
}